Subject: RE: http proxy & tunnel differences ??

From: "Josh Cohen (Exchange)" <[email-masked]>
Date: Tue, 26 Oct 1999 11:41:47 -0700

> -----Original Message-----
> From: Roy T. Fielding [mailto:[email-masked]]
> Sent: Tuesday, October 26, 1999 8:40 AM
> To: Scott Lawrence
> Cc: Vinit Kumar; [email-masked]
> Subject: Re: http proxy & tunnel differences ?? 
> >
> >Actually, the client may or may not know about the proxy.
> 
> The client always knows about the proxy -- that is what distinguishes
> a proxy from a gateway.  A "reverse proxy" is a gateway.
>
Actually, for better or worse, the client does not always
know about the proxy.  Transparent proxies are quite common.
Again, for better or worse, mostly worse IMHO :)
 
> >> How does a http tunnel work. Is the initial connection similar ?
> >> Does a client (browser) need to configured differently when
> >> it goes through
> >> a tunnel or is it same as the configuration required when it
> >> goes through
> >> the proxy ? Are there to separate tcp connections for each
> >> request even in a
> >> tunnel ?
> 
> Some tunnels are activated by a proxy request, some are simply
> port forwarding TCP firewalls (either on the client side or the
> server side, or both), and others are gateways to other servers.
> The important thing from HTTP's perspective is that once an
> intermediary becomes a tunnel, it is no longer conscious of the
> HTTP communication -- only of bytes being relayed from one connection
> to another.
> 
> ....Roy
>

---

From: "Roy T. Fielding" <[email-masked]>
Date: Tue, 26 Oct 1999 12:12:10 -0700

>know about the proxy.  Transparent proxies are quite common.

Those are not transparent proxies -- they are firewall gateways,
even when they occur near to the client.  My use of "proxy" and
"gateway" are defined in the HTTP spec, which does not always
correspond to what some marketing departments call their products.

....Roy